<!DOCTYPE html>
<!-- Generated by pkgdown: do not edit by hand --><html lang="en"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8"><meta charset="utf-8"><meta http-equiv="X-UA-Compatible" content="IE=edge"><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><title>Add UN world regions to referendum data — add_world_regions • rdb</title><script src="../lightswitch.js"></script><script src="../deps/jquery-3.6.0/jquery-3.6.0.min.js"></script><meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no"><link href="../deps/bootstrap-5.3.1/bootstrap.min.css" rel="stylesheet"><script src="../deps/bootstrap-5.3.1/bootstrap.bundle.min.js"></script><link href="../deps/font-awesome-6.5.2/css/all.min.css" rel="stylesheet"><link href="../deps/font-awesome-6.5.2/css/v4-shims.min.css" rel="stylesheet"><script src="../deps/headroom-0.11.0/headroom.min.js"></script><script src="../deps/headroom-0.11.0/jQuery.headroom.min.js"></script><script src="../deps/bootstrap-toc-1.0.1/bootstrap-toc.min.js"></script><script src="../deps/clipboard.js-2.0.11/clipboard.min.js"></script><script src="../deps/search-1.0.0/autocomplete.jquery.min.js"></script><script src="../deps/search-1.0.0/fuse.min.js"></script><script src="../deps/search-1.0.0/mark.min.js"></script><!-- pkgdown --><script src="../pkgdown.js"></script><meta property="og:title" content="Add UN world regions to referendum data — add_world_regions"><meta name="description" content="Augments data with information about the United Nations (UN) geoscheme on three different
grouping tiers based on the UN M49 area code hierarchy.
In total, eight different columns are added:
un_country_code: UN M49 country code
un_region_tier_1_code: UN tier-1 region's M49 area code
un_region_tier_1_name: UN tier-1 region's English name
un_region_tier_2_code: UN tier-2 region's M49 area code
un_region_tier_2_name: UN tier-2 region's English name
un_region_tier_3_code: UN tier-3 region's M49 area code
un_region_tier_3_name: UN tier-3 region's English name
un_subregion: Combinatiorial English UN subregion name which, except for Northern Europe, corresponds to the lowest un_region_tier_*_name.


Tier-1 regions are the highest, i.e. most aggregated UN regions, commonly referred to as continents. Tier-2 regions are also known as &quot;subregions&quot; and tier-3
regions as &quot;sub-subregions&quot;.
Only part of all UN tier-2 regions are further divided into UN tier-3 regions, meaning that not all countries are part of a UN tier-3 region. If a country
doesn't belong to any UN tier-3 region, the corresponding un_region_tier_3_* values will simply be NA. The un_subregion column specifically addresses
this issue by providing a uniform combination of un_region_tier_2_name and un_region_tier_3_name."><meta property="og:description" content="Augments data with information about the United Nations (UN) geoscheme on three different
grouping tiers based on the UN M49 area code hierarchy.
In total, eight different columns are added:
un_country_code: UN M49 country code
un_region_tier_1_code: UN tier-1 region's M49 area code
un_region_tier_1_name: UN tier-1 region's English name
un_region_tier_2_code: UN tier-2 region's M49 area code
un_region_tier_2_name: UN tier-2 region's English name
un_region_tier_3_code: UN tier-3 region's M49 area code
un_region_tier_3_name: UN tier-3 region's English name
un_subregion: Combinatiorial English UN subregion name which, except for Northern Europe, corresponds to the lowest un_region_tier_*_name.


Tier-1 regions are the highest, i.e. most aggregated UN regions, commonly referred to as continents. Tier-2 regions are also known as &quot;subregions&quot; and tier-3
regions as &quot;sub-subregions&quot;.
Only part of all UN tier-2 regions are further divided into UN tier-3 regions, meaning that not all countries are part of a UN tier-3 region. If a country
doesn't belong to any UN tier-3 region, the corresponding un_region_tier_3_* values will simply be NA. The un_subregion column specifically addresses
this issue by providing a uniform combination of un_region_tier_2_name and un_region_tier_3_name."><meta name="twitter:card" content="summary"><meta name="twitter:creator" content="@2BSalim"><meta name="twitter:site" content="@2BSalim"><meta name="robots" content="noindex"><script src="https://rpkg.dev/counter-dev.min.js" data-id="4c4963fe-9fcf-4d81-95bb-2135e114b85b" data-utcoffset="1"></script></head><body>
    <a href="#main" class="visually-hidden-focusable">Skip to contents</a>


    <nav class="navbar navbar-expand-lg fixed-top " aria-label="Site navigation"><div class="container">

    <a class="navbar-brand me-2" href="../index.html">rdb</a>

    <small class="nav-text text-danger me-auto" data-bs-toggle="tooltip" data-bs-placement="bottom" title="In-development version">0.0.9046</small>


    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbar" aria-controls="navbar" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>

    <div id="navbar" class="collapse navbar-collapse ms-3">
      <ul class="navbar-nav me-auto"><li class="nav-item"><a class="nav-link" href="../articles/rdb.html">Get started</a></li>
<li class="active nav-item"><a class="nav-link" href="../reference/index.html">Reference</a></li>
<li class="nav-item"><a class="nav-link" href="../articles/codebook.html">RDB codebook</a></li>
      </ul><ul class="navbar-nav"><li class="nav-item"><form class="form-inline" role="search">
 <input class="form-control" type="search" name="search-input" id="search-input" autocomplete="off" aria-label="Search site" placeholder="Search for" data-search-index="../search.json"></form></li>
<li class="nav-item"><a class="external-link nav-link" href="https://gitlab.com/zdaarau/rpkgs/rdb/" aria-label="GitLab"><span class="fa fab fa-gitlab fa-lg"></span></a></li>
<li class="nav-item dropdown">
  <button class="nav-link dropdown-toggle" type="button" id="dropdown-lightswitch" data-bs-toggle="dropdown" aria-expanded="false" aria-haspopup="true" aria-label="Light switch"><span class="fa fa-sun"></span></button>
  <ul class="dropdown-menu dropdown-menu-end" aria-labelledby="dropdown-lightswitch"><li><button class="dropdown-item" data-bs-theme-value="light"><span class="fa fa-sun"></span> Light</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="dark"><span class="fa fa-moon"></span> Dark</button></li>
    <li><button class="dropdown-item" data-bs-theme-value="auto"><span class="fa fa-adjust"></span> Auto</button></li>
  </ul></li>
      </ul></div>


  </div>
</nav><div class="container template-reference-topic">
<div class="row">
  <main id="main" class="col-md-9"><div class="page-header">

      <h1>Add UN world regions to referendum data</h1>
      <small class="dont-index">Source: <a href="https://gitlab.com/zdaarau/rpkgs/rdb/blob/HEAD/R/rdb.gen.R" class="external-link"><code>R/rdb.gen.R</code></a></small>
      <div class="d-none name"><code>add_world_regions.Rd</code></div>
    </div>

    <div class="ref-description section level2">
    <p>Augments <code>data</code> with information about the <a href="https://en.wikipedia.org/wiki/United_Nations_geoscheme" class="external-link">United Nations (UN) geoscheme</a> on three different
grouping tiers based on the <a href="https://en.wikipedia.org/wiki/UN_M49#Code_lists" class="external-link">UN M49 area code hierarchy</a>.</p>
<p>In total, eight different columns are added:</p><ul><li><p><code>un_country_code</code>: UN M49 country code</p></li>
<li><p><code>un_region_tier_1_code</code>: UN tier-1 region's M49 area code</p></li>
<li><p><code>un_region_tier_1_name</code>: UN tier-1 region's English name</p></li>
<li><p><code>un_region_tier_2_code</code>: UN tier-2 region's M49 area code</p></li>
<li><p><code>un_region_tier_2_name</code>: UN tier-2 region's English name</p></li>
<li><p><code>un_region_tier_3_code</code>: UN tier-3 region's M49 area code</p></li>
<li><p><code>un_region_tier_3_name</code>: UN tier-3 region's English name</p></li>
<li><p><code>un_subregion</code>: Combinatiorial English UN subregion name which, except for Northern Europe, corresponds to the lowest <code>un_region_tier_*_name</code>.</p></li>
</ul><p>Tier-1 regions are the highest, i.e. most aggregated UN regions, commonly referred to as continents. Tier-2 regions are also known as "subregions" and tier-3
regions as "sub-subregions".</p>
<p>Only part of all UN tier-2 regions are further divided into UN tier-3 regions, meaning that not all countries are part of a UN tier-3 region. If a country
doesn't belong to any UN tier-3 region, the corresponding <code>un_region_tier_3_*</code> values will simply be <code>NA</code>. The <code>un_subregion</code> column specifically addresses
this issue by providing a uniform combination of <code>un_region_tier_2_name</code> and <code>un_region_tier_3_name</code>.</p>
    </div>

    <div class="section level2">
    <h2 id="ref-usage">Usage<a class="anchor" aria-label="anchor" href="#ref-usage"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span><span class="fu">add_world_regions</span><span class="op">(</span><span class="va">data</span>, add_un_country_code <span class="op">=</span> <span class="cn">TRUE</span><span class="op">)</span></span></code></pre></div>
    </div>

    <div class="section level2">
    <h2 id="arguments">Arguments<a class="anchor" aria-label="anchor" href="#arguments"></a></h2>


<dl><dt id="arg-data">data<a class="anchor" aria-label="anchor" href="#arg-data"></a></dt>
<dd><p>RDB referendum data as returned by <code><a href="rfrnds.html">rfrnds()</a></code>. A data frame that at minimum contains the column <code>country_code</code> (with <a href="https://en.wikipedia.org/wiki/ISO_3166-1_alpha-2" class="external-link">ISO 3166-1 alpha-2</a> or <a href="https://en.wikipedia.org/wiki/ISO_3166-3" class="external-link">ISO 3166-3 alpha-4</a> codes).</p></dd>


<dt id="arg-add-un-country-code">add_un_country_code<a class="anchor" aria-label="anchor" href="#arg-add-un-country-code"></a></dt>
<dd><p>Whether or not to also add a column <code>un_country_code</code> holding the UN M49 code of the country in which the referendum took place.</p></dd>

</dl></div>
    <div class="section level2">
    <h2 id="value">Value<a class="anchor" aria-label="anchor" href="#value"></a></h2>
    <p>A <a href="https://tibble.tidyverse.org/reference/tbl_df-class.html" class="external-link">tibble</a>.</p>
    </div>
    <div class="section level2">
    <h2 id="see-also">See also<a class="anchor" aria-label="anchor" href="#see-also"></a></h2>
    <div class="dont-index"><p>Other referendum data augmentation functions:
<code><a href="add_country_code_continual.html">add_country_code_continual</a>()</code>,
<code><a href="add_country_code_long.html">add_country_code_long</a>()</code>,
<code><a href="add_country_name.html">add_country_name</a>()</code>,
<code><a href="add_country_name_long.html">add_country_name_long</a>()</code>,
<code><a href="add_former_country_flag.html">add_former_country_flag</a>()</code>,
<code><a href="add_period.html">add_period</a>()</code>,
<code><a href="add_turnout.html">add_turnout</a>()</code>,
<code><a href="add_urls.html">add_urls</a>()</code></p></div>
    </div>

    <div class="section level2">
    <h2 id="ref-examples">Examples<a class="anchor" aria-label="anchor" href="#ref-examples"></a></h2>
    <div class="sourceCode"><pre class="sourceCode r"><code><span class="r-in"><span><span class="fu">rdb</span><span class="fu">::</span><span class="fu"><a href="rfrnd.html">rfrnd</a></span><span class="op">(</span>id <span class="op">=</span> <span class="st">"5bbbe26a92a21351232dd73f"</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">rdb</span><span class="fu">::</span><span class="fu">add_world_regions</span><span class="op">(</span><span class="op">)</span> <span class="op">|&gt;</span></span></span>
<span class="r-in"><span>  <span class="fu">dplyr</span><span class="fu">::</span><span class="fu"><a href="https://dplyr.tidyverse.org/reference/select.html" class="external-link">select</a></span><span class="op">(</span><span class="va">id</span>,</span></span>
<span class="r-in"><span>                <span class="fu">starts_with</span><span class="op">(</span><span class="st">"country_"</span><span class="op">)</span>,</span></span>
<span class="r-in"><span>                <span class="fu">starts_with</span><span class="op">(</span><span class="st">"un_"</span><span class="op">)</span><span class="op">)</span></span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># A tibble: 1 × 11</span></span>
<span class="r-out co"><span class="r-pr">#&gt;</span>   id     country_code country_name un_country_code un_region_tier_1_code un_region_tier_1_name un_region_tier_2_code un_region_tier_2_name un_region_tier_3_code</span>
<span class="r-out co"><span class="r-pr">#&gt;</span>   <span style="color: #949494; font-style: italic;">&lt;chr&gt;</span>  <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>        <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>           <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                 <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                 <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                 <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                 <span style="color: #949494; font-style: italic;">&lt;fct&gt;</span>                </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #BCBCBC;">1</span> 5bbbe… CH           Switzerland  756             150                   Europe                155                   Western Europe        <span style="color: #BB0000;">NA</span>                   </span>
<span class="r-out co"><span class="r-pr">#&gt;</span> <span style="color: #949494;"># ℹ 2 more variables: un_region_tier_3_name &lt;fct&gt;, un_subregion &lt;fct&gt;</span></span>
</code></pre></div>
    </div>
  </main><aside class="col-md-3"><nav id="toc" aria-label="Table of contents"><h2>On this page</h2>
    </nav></aside></div>


    <footer><div class="pkgdown-footer-left">
  <p>Developed by Salim Brüggemann, Uwe Serdült.</p>
</div>

<div class="pkgdown-footer-right">
  <p>Site built with <a href="https://pkgdown.r-lib.org/" class="external-link">pkgdown</a> 2.1.1.9000.</p>
</div>

    </footer></div>





  </body></html>

